import { MODAL_ACTIONS } from '../../../common/constants';

const initialState = {
    open: false,
    vehicleModels: null,
};

const deleteVehicleModel = (state = initialState, action) => {
    switch (action.type) {
        case MODAL_ACTIONS.OPEN_DELETE_VM_MODAL: {
            const newState = { open: true };
            if (action.params) {
                newState.vehicleModels = action.params;
            }
            return newState;
        }
        case MODAL_ACTIONS.CLOSE_DELETE_VM_MODAL: {
            return initialState;
        }
        default:
            return state;
    }
};

export default deleteVehicleModel;
