import React from 'react';
import { USER_ROLES } from 'common/user-roles';
import { NAMES_OF_TABS } from 'common/ui-labels';
import App from './vehicle_certification/App';

export default {
    user_role: [USER_ROLES.PROJECT_OPERATIONS_ADMIN, USER_ROLES.PROJECT_SYSTEM_ADMIN],
    tabs: {
        page: '/admin',
        name: NAMES_OF_TABS.VEHICLE_CERTIFICATION,
        systemName: 'vehicle_certification',
        dataCy: 'nav_submenu_admin_vehicle_certification',
        path: '/admin/vehicle_certification',
    },
    component: () => (<App />),
};
