import React from 'react';
import VehicleCertificationsTab from './components/VehicleCertificationsTab';
import Modals from './modals';
import vehicleCertificationManagement from './store/reducers';

import { withReducer } from '../../src/js/components/HOC/withReducer';


function App() {
    return (
        <section>
            <Modals />
            <VehicleCertificationsTab />
        </section>);
}

export default withReducer('vehicleCertificationManagement', vehicleCertificationManagement)(App);
