import KeyMirror from 'keymirror';

export const ACTIONS = KeyMirror({
    VEHICLE_MODELS_SET: null,
    VEHICLE_MODELS_CREATED: null,
    VEHICLE_MODELS_UPDATED: null,
    VEHICLE_MODELS_DELETED: null,
    VEHICLE_MODELS_SELECT: null,
    VEHICLE_MODELS_UNSELECT: null,
    VEHICLE_MODELS_SINGLE_SELECT: null,
    
    CLEAR_SELECTED_DRIVERS_VEHICLES: null,
    
    VEHICLE_CERTIFICATIONS_SET: null,
    VEHICLE_CERTIFICATIONS_CLEAR: null,
    VEHICLE_CERTIFICATIONS_UPDATED: null,
    VEHICLE_CERTIFICATIONS_SELECT: null,
    VEHICLE_CERTIFICATIONS_UNSELECT: null,
    VEHICLE_CERTIFICATIONS_SINGLE_SELECT: null,
    
    DRIVER_LICENSES_SET: null,
    DRIVER_LICENSES_UPDATED: null,
    DRIVER_LICENSES_SELECT: null,
    DRIVER_LICENSES_UNSELECT: null,
    DRIVER_LICENSES_SINGLE_SELECT: null,
});

export const NOTIFY_ACTIONS = KeyMirror({
    DRIVER_LICENSES_UPDATED: null,
    VEHICLE_CERTIFICATIONS_UPDATED: null,
});

export const TRACKABLE_TABLES = KeyMirror({
    VEHICLES: null,
    DRIVERS: null,
});

export const MODAL_ACTIONS = KeyMirror({
    OPEN_DELETE_VM_MODAL: null,
    CLOSE_DELETE_VM_MODAL: null,
    OPEN_DELETE_DRIVER_LICENSE_MODAL: null,
    CLOSE_DELETE_DRIVER_LICENSE_MODAL: null,
    OPEN_DELETE_VEHICLE_CERT_MODAL: null,
    CLOSE_DELETE_VEHICLE_CERT_MODAL: null,
    OPEN_EDIT_VM_MODAL: null,
    CLOSE_EDIT_VM_MODAL: null,
    OPEN_EDIT_VEHICLE_CERT_MODAL: null,
    CLOSE_EDIT_VEHICLE_CERT_MODAL: null,
    OPEN_EDIT_DRIVER_LICENSE_MODAL: null,
    CLOSE_EDIT_DRIVER_LICENSE_MODAL: null,
});

export const FORMS_NAME = KeyMirror({
    CERTIFICATION_EDIT_FORM: null,
    VEHICLE_CERT_EDIT_FORM: null,
    DRIVER_LICENSES_EDIT_FORM: null,
});

export const CERT_DEFAULT_VALUES = {
    MAX_MODELS: 31,
};
