DELIMITER /
DROP TRIGGER IF EXISTS  `t_tags_after_insert` /

CREATE TRIGGER `t_tags_after_insert` AFTER INSERT ON `tags` FOR EACH ROW BEGIN
    IF NEW.role_uid = 'Hyf5F8KqEeagPwhgboMCKw' THEN
        INSERT INTO sequence_data
        (sequence_name, sequence_increment, sequence_max_value, drop_value)
            (SELECT CONCAT_WS('-', 'vehicle_models', NEW.uid) , 1 , 32, 0);
    END IF;
END /

UPDATE sequence_data
SET sequence_max_value = 32
WHERE  sequence_name LIKE  'vehicle_models%' AND drop_value = 0/
